# Class default

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/indexedDb/dbApiWrapper.ts:36

#####
Index

### Constructors

constructor

### Methods

deletePins
findSyncStatus
getLinks
getMyChats
getParticles
getPins
getSenseList
getSenseSummary
getSyncQueue
getSyncStatus
getTransactions
init
putCyberlinks
putParticles
putPins
putSyncQueue
putSyncStatus
putTransactions
removeSyncQueue
senseMarkAsRead
updateSyncQueue
updateSyncStatus

##
Constructors

### constructor

- new default(): default

- #### Returns default

##
Methods

### deletePins

- deletePins(pins): Promise<IDBResult | IDBResultError>

- #### Parameters

  - pins: string[]

  #### Returns Promise<IDBResult | IDBResultError>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/indexedDb/dbApiWrapper.ts:138

### findSyncStatus

- findSyncStatus(__namedParameters): Promise<Partial<DbEntityToDto<SyncStatusDbEntity>>[]>

- #### Parameters

  - __namedParameters: {
    entryType?: EntryType;
    id?: string;
    ownerId?: string;
    }

    - ##### `Optional` entryType?: EntryType

    - ##### `Optional` id?: string

    - ##### `Optional` ownerId?: string

  #### Returns Promise<Partial<DbEntityToDto<SyncStatusDbEntity>>[]>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/indexedDb/dbApiWrapper.ts:91

### getLinks

- getLinks(cid): Promise<DbEntityToDto<LinkDbEntity>[]>

- #### Parameters

  - cid: string

  #### Returns Promise<DbEntityToDto<LinkDbEntity>[]>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/indexedDb/dbApiWrapper.ts:308

### getMyChats

- getMyChats(myAddress, userAddress): Promise<any>

- #### Parameters

  - myAddress: string
  - userAddress: string

  #### Returns Promise<any>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/indexedDb/dbApiWrapper.ts:235

### getParticles

- getParticles(fields): Promise<IDBResult>

- #### Parameters

  - fields: string[]

  #### Returns Promise<IDBResult>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/indexedDb/dbApiWrapper.ts:152

### getPins

- getPins(withType?): Promise<IDBResult>

- #### Parameters

  - withType: boolean = false

  #### Returns Promise<IDBResult>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/indexedDb/dbApiWrapper.ts:126

### getSenseList

- getSenseList(myAddress?): Promise<SenseListItem[]>

- #### Parameters

  - myAddress: string = ''

  #### Returns Promise<SenseListItem[]>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/indexedDb/dbApiWrapper.ts:163

### getSenseSummary

- getSenseSummary(myAddress?): Promise<SenseUnread[]>

- #### Parameters

  - myAddress: string = ''

  #### Returns Promise<SenseUnread[]>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/indexedDb/dbApiWrapper.ts:190

### getSyncQueue

- getSyncQueue(__namedParameters): Promise<DbEntityToDto<SyncQueueDbEntity>[]>

- #### Parameters

  - __namedParameters: {
    limit?: number;
    statuses: SyncQueueStatus[];
    }

    - ##### `Optional` limit?: number

    - ##### statuses: SyncQueueStatus[]

  #### Returns Promise<DbEntityToDto<SyncQueueDbEntity>[]>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/indexedDb/dbApiWrapper.ts:281

### getSyncStatus

- getSyncStatus(ownerId, id): Promise<DbEntityToDto<SyncStatusDbEntity>>

- #### Parameters

  - ownerId: string
  - id: string

  #### Returns Promise<DbEntityToDto<SyncStatusDbEntity>>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/indexedDb/dbApiWrapper.ts:43

### getTransactions

- getTransactions(neuron, order?): Promise<DbEntityToDto<TransactionDbEntity>[]>

- #### Parameters

  - neuron: string
  - order: "desc" | "asc" = 'desc'

  #### Returns Promise<DbEntityToDto<TransactionDbEntity>[]>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/indexedDb/dbApiWrapper.ts:219

### init

- init(dbApi): void

- #### Parameters

  - dbApi: {
    executeBatchPutCommand: ((tableName: string, array: Partial<DbEntity>[], batchSize?: number, onProgress?: ((count: number) => void)) => Promise<{
    ok: boolean;
    }>);
    executeGetCommand: ((tableName: string, selectFields?: string[], conditions?: string[], conditionFields?: string[], options?: GetCommandOptions) => Promise<IDBResult | IDBResultError>);
    executePutCommand: ((tableName: string, array: Partial<DbEntity>[]) => Promise<IDBResult | IDBResultError>);
    executeRmCommand: ((tableName: string, keyValues: Partial<DbEntity>[]) => Promise<IDBResult | IDBResultError>);
    executeUpdateCommand: ((tableName: string, array: Partial<DbEntity>[]) => Promise<IDBResult | IDBResultError>);
    exportRelations: ((relations: string[]) => Promise<any>);
    importRelations: ((content: string) => Promise<any>);
    init: (() => Promise<void>);
    isInitialized: (() => Promise<boolean>);
    runCommand: ((command: string) => Promise<IDBResult | IDBResultError>);
    }

    - ##### executeBatchPutCommand: ((tableName: string, array: Partial<DbEntity>[], batchSize?: number, onProgress?: ((count: number) => void)) => Promise<{
      ok: boolean;
      }>)

      - - (tableName, array, batchSize?, onProgress?): Promise<{
          ok: boolean;
          }>

        - #### Parameters

          - tableName: string
          - array: Partial<DbEntity>[]
          - batchSize: number = array.length
          - `Optional` onProgress: ((count: number) => void)
            - - (count): void

              - #### Parameters

                - count: number

                #### Returns void

          #### Returns Promise<{
          ok: boolean;
          }>

    - ##### executeGetCommand: ((tableName: string, selectFields?: string[], conditions?: string[], conditionFields?: string[], options?: GetCommandOptions) => Promise<IDBResult | IDBResultError>)

      - - (tableName, selectFields?, conditions?, conditionFields?, options?): Promise<IDBResult | IDBResultError>

        - #### Parameters

          - tableName: string
          - `Optional` selectFields: string[]
          - `Optional` conditions: string[]
          - `Optional` conditionFields: string[]
          - options: GetCommandOptions = {}

          #### Returns Promise<IDBResult | IDBResultError>

    - ##### executePutCommand: ((tableName: string, array: Partial<DbEntity>[]) => Promise<IDBResult | IDBResultError>)

      - - (tableName, array): Promise<IDBResult | IDBResultError>

        - #### Parameters

          - tableName: string
          - array: Partial<DbEntity>[]

          #### Returns Promise<IDBResult | IDBResultError>

    - ##### executeRmCommand: ((tableName: string, keyValues: Partial<DbEntity>[]) => Promise<IDBResult | IDBResultError>)

      - - (tableName, keyValues): Promise<IDBResult | IDBResultError>

        - #### Parameters

          - tableName: string
          - keyValues: Partial<DbEntity>[]

          #### Returns Promise<IDBResult | IDBResultError>

    - ##### executeUpdateCommand: ((tableName: string, array: Partial<DbEntity>[]) => Promise<IDBResult | IDBResultError>)

      - - (tableName, array): Promise<IDBResult | IDBResultError>

        - #### Parameters

          - tableName: string
          - array: Partial<DbEntity>[]

          #### Returns Promise<IDBResult | IDBResultError>

    - ##### exportRelations: ((relations: string[]) => Promise<any>)

      - - (relations): Promise<any>

        - #### Parameters

          - relations: string[]

          #### Returns Promise<any>

    - ##### importRelations: ((content: string) => Promise<any>)

      - - (content): Promise<any>

        - #### Parameters

          - content: string

          #### Returns Promise<any>

    - ##### init: (() => Promise<void>)

      - - (): Promise<void>

        - #### Returns Promise<void>

    - ##### isInitialized: (() => Promise<boolean>)

      - - (): Promise<boolean>

        - #### Returns Promise<boolean>

    - ##### runCommand: ((command: string) => Promise<IDBResult | IDBResultError>)

      - - (command): Promise<IDBResult | IDBResultError>

        - #### Parameters

          - command: string

          #### Returns Promise<IDBResult | IDBResultError>

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/indexedDb/dbApiWrapper.ts:39

### putCyberlinks

- putCyberlinks(links): Promise<IDBResult | IDBResultError>

- #### Parameters

  - links: DbEntityToDto<LinkDbEntity> | DbEntityToDto<LinkDbEntity>[]

  #### Returns Promise<IDBResult | IDBResultError>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/indexedDb/dbApiWrapper.ts:260

### putParticles

- putParticles(particles): Promise<void>

- #### Parameters

  - particles: DbEntityToDto<ParticleDbEntity> | DbEntityToDto<ParticleDbEntity>[]

  #### Returns Promise<void>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/indexedDb/dbApiWrapper.ts:145

### putPins

- putPins(pins): Promise<IDBResult | IDBResultError>

- #### Parameters

  - pins: PinDbEntity | PinDbEntity[]

  #### Returns Promise<IDBResult | IDBResultError>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/indexedDb/dbApiWrapper.ts:121

### putSyncQueue

- putSyncQueue(item): Promise<IDBResult | IDBResultError>

- #### Parameters

  - item: SyncQueueItem | SyncQueueItem[]

  #### Returns Promise<IDBResult | IDBResultError>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/indexedDb/dbApiWrapper.ts:265

### putSyncStatus

- putSyncStatus(entity): Promise<IDBResult | IDBResultError>

- #### Parameters

  - entity: DbEntityToDto<SyncStatusDbEntity> | DbEntityToDto<SyncStatusDbEntity>[]

  #### Returns Promise<IDBResult | IDBResultError>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/indexedDb/dbApiWrapper.ts:70

### putTransactions

- putTransactions(transactions): Promise<IDBResult | IDBResultError>

- #### Parameters

  - transactions: TransactionDbEntity[]

  #### Returns Promise<IDBResult | IDBResultError>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/indexedDb/dbApiWrapper.ts:117

### removeSyncQueue

- removeSyncQueue(id): Promise<IDBResult | IDBResultError>

- #### Parameters

  - id: string

  #### Returns Promise<IDBResult | IDBResultError>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/indexedDb/dbApiWrapper.ts:277

### senseMarkAsRead

- senseMarkAsRead(ownerId, id): Promise<void>

- #### Parameters

  - ownerId: string
  - id: string

  #### Returns Promise<void>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/indexedDb/dbApiWrapper.ts:197

### updateSyncQueue

- updateSyncQueue(item): Promise<IDBResult | IDBResultError>

- #### Parameters

  - item: Partial<DbEntityToDto<SyncQueueDbEntity>> | Partial<DbEntityToDto<SyncQueueDbEntity>>[]

  #### Returns Promise<IDBResult | IDBResultError>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/indexedDb/dbApiWrapper.ts:270

### updateSyncStatus

- updateSyncStatus(entity): Promise<IDBResult | IDBResultError>

- #### Parameters

  - entity: Partial<DbEntityToDto<SyncStatusDbEntity>> & {
    id: string;
    ownerId: string;
    }

  #### Returns Promise<IDBResult | IDBResultError>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/indexedDb/dbApiWrapper.ts:80